interface SetProps {
  id: string;
  name: string;
  _self: string;
}

export interface CardProps {
  name: string;
  rarity: string;
  type: string;
  cost: number;
  set: SetProps;
  collectible: boolean;
  soulSummon: number;
  soulTrap: number;
  text: string;
  attributes: string[];
  keywords: string[];
  unique: boolean;
  imageUrl: string;
  id: string;
}

interface LinkProps {
  next?: string;
  prev?: string;
}

export interface CardRequestProps {
  cards: CardProps[];
  _links: LinkProps;
  _pageSize: number;
  _totalCount: number;
}


export interface CardState {
  cards: CardProps[];
  next: string | null;
}

export type CardStateHandler = [CardState, Function];

